OpenVDB: ArgInfo Struct Reference

OpenVDB 12.1.1

Loading...
Searching...
No Matches
ArgInfo Struct Reference

Metadata associated with a function argument or return value. More...

`#include <openvdb_ax/codegen/FunctionTypes.h>`

## Public Member Functions
| ArgInfo (const Value &val)
| ArgInfo (llvm::Type *utype)
| ArgInfo (llvm::Type *utype, uint8_t ptrs, bool ret=false)
| ArgInfo (ArgInfo &&)=default
| ArgInfo (const ArgInfo &)=default
ArgInfo & | operator= (ArgInfo &&)=default
ArgInfo & | operator= (const ArgInfo &)=default
bool | operator== (const ArgInfo &other) const
bool | operator!= (const ArgInfo &other) const
bool | IsMatchingType (const ArgInfo &other) const
bool | IsPtr () const
uint8_t | NumPtrs () const
bool | IsNative () const
bool | IsVoid () const
bool | IsReturn () const
llvm::Type * | GetUnderlyingType () const
llvm::Type * | GetType () const
void | SetIsReturn ()

## Detailed Description

Metadata associated with a function argument or return value.

## Constructor & Destructor Documentation

## ◆ ArgInfo() [1/5]

ArgInfo | ( | const Value & | val | ) |
| inlineexplicit

## ◆ ArgInfo() [2/5]

ArgInfo | ( | llvm::Type * | utype | ) |
| inlineexplicit

## ◆ ArgInfo() [3/5]

ArgInfo | ( | llvm::Type * | utype,
|  | uint8_t | ptrs,
|  | bool | ret = false )
| inline

## ◆ ArgInfo() [4/5]

ArgInfo | ( | ArgInfo && |  | ) |
| default

## ◆ ArgInfo() [5/5]

ArgInfo | ( | const ArgInfo & |  | ) |
| default

## Member Function Documentation

## ◆ GetType()

llvm::Type * GetType | ( |  | ) | const
| inline

## ◆ GetUnderlyingType()

llvm::Type * GetUnderlyingType | ( |  | ) | const
| inline

## ◆ IsMatchingType()

bool IsMatchingType | ( | const ArgInfo & | other | ) | const
| inline

## ◆ IsNative()

bool IsNative | ( |  | ) | const
| inline

## ◆ IsPtr()

bool IsPtr | ( |  | ) | const
| inline

## ◆ IsReturn()

bool IsReturn | ( |  | ) | const
| inline

## ◆ IsVoid()

bool IsVoid | ( |  | ) | const
| inline

## ◆ NumPtrs()

uint8_t NumPtrs | ( |  | ) | const
| inline

## ◆ operator!=()

bool operator!= | ( | const ArgInfo & | other | ) | const
| inline

## ◆ operator=() [1/2]

ArgInfo & operator= | ( | ArgInfo && |  | ) |
| default

## ◆ operator=() [2/2]

ArgInfo & operator= | ( | const ArgInfo & |  | ) |
| default

## ◆ operator==()

bool operator== | ( | const ArgInfo & | other | ) | const
| inline

## ◆ SetIsReturn()

void SetIsReturn | ( |  | ) |
| inline